minput_config_file(3m17n)

NAME
minput_config_file - Get the name of per-user customization file.

SYNOPSIS
char * minput_config_file ()

DESCRIPTION
Get the name of per-user customization file.

The minput_config_file() function returns the absolute path name of per-user customization file into which minput_save_config() save configurations. It is usually config.mic under the directory ${HOME}/.m17n.d (${HOME} is user's home directory). It is not assured that the file of the returned name exists nor is readable/writable. If minput_save_config() fails and returns -1, an application program might check the file, make it writable (if possible), and try minput_save_config() again.

RETURN VALUE

This function returns a string. As the string is kept in the library, the caller must not modify nor free it.

SEE ALSO

    minput_save_config()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.